<body>
<div *ngFor="let user of result">
  <div class="container">
    <div class="row">
      <div class="col-xl-2 col-md-1 col-md-12 col-12">
      </div>

      <div class="col-xl-8 col-md-10 col-md-12 col-12">
        <div class="box-background">
          <div class="title-form">
            <h2>
              {{user.username}}
            </h2>
          </div>
          <div class="container">
            <div class="row field-form">
              <div class="col-12 col-xl-5 col-sm-12 col-md-5 sub-field-form">
                {{user.email}}
                :ایمیل
              </div>
              <div class="col-12 col-xl-3 col-sm-12 col-md-3 sub-field-form">
                نام:
                {{user.first_name}}

              </div>

              <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                نام خانوادگی:
                {{user.last_name}}
              </div>
            </div>
          </div>
          <hr>
          <div class="title-form">
            <h4>
              پروفایل
            </h4>
          </div>
          <div class="container">
            <div class="row field-form">
              <div class="col-12 col-xl-2 col-sm-12 col-md-2 sub-field-form">
                <p>
                  جنسیت:
                  {{user.gender}}
                </p>
                <p>
                  گروه:
                  {{user.group}}
                </p>
              </div>

              <div class="col-12 col-xl-6 col-sm-12 col-md-6 sub-field-form">
                <p>
                  شماره ملی:
                  {{user.mobile_number}}

                </p>
                <p>
                  شماره همراه:
                  {{user.national_code}}
                </p>
                <p>
                  تاریخ تولد:
                  {{user.date_birth}}
                </p>
              </div>

              <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                گروه:
                {{user.group}}
              </div>
            </div>
          </div>
          <button (click)="openEditForm(user)" class="edit-button">
            ویرایش اطلاعات
          </button>
        </div>
      </div>

      <div class="col-xl-2 col-md-1 col-md-12 col-12">
      </div>
    </div>
  </div>

  <div class="modal" id="edit_form">
    <div class="container">
      <div class="row">
          <div class="col-12 col-sm-12 col-md-1 col-xl-1">
          </div>

          <div class="col-12 col-sm-12 col-md-10 col-xl-10 edit-form">
            <div class="box-background">
              <div>
                <span (click)="closeButton()" class="close" title="Close Modal">&times;</span>
              </div>
              <div class="title-form">
                <input [(ngModel)]="updatedUser.username" class="input-title">
              </div>
              <div class="container">
                <div class="row field-form">
                  <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                    <p>
                      :ایمیل
                    </p>
                    <input [(ngModel)]="updatedUser.email" class="input-field">
                  </div>
                  <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                    <p>
                      :نام
                    </p>
                    <input [(ngModel)]="updatedUser.first_name" class="input-field">
                  </div>

                  <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                    <p>
                      :نام خانوادگی
                    </p>
                    <input [(ngModel)]="updatedUser.last_name" class="input-field">
                  </div>
                </div>
              </div>
              <hr>
              <div class="title-form">
                <h4>
                  پروفایل
                </h4>
              </div>
              <div class="container">
                <div class="row field-form">
                  <div class="col-12 col-xl-4 col-sm-12 col-md-4 sub-field-form">
                    <p>
                      <select [(ngModel)]="updatedUser.gender" class="input-title">
                        <option value="male">
                          مرد
                        </option>
                        <option value="female">
                          زن
                        </option>
                      </select>
                      :جنسیت
                    </p>
                    <p>
                      <select [(ngModel)]="updatedUser.group"  class="input-field">
                        <option value="فروشنده">
                          فروشنده
                        </option>
                        <option value="مدیر">
                          مدیر
                        </option>
                        <option value="بلاگر">
                          بلاگر
                        </option>
                        <option value="کاربر">
                          کاربر
                        </option>
                      </select>
                      :گروه
                    </p>
                  </div>

                  <div class="col-12 col-xl-8 col-sm-12 col-md-8 sub-field-form">
                    <p>
                      :شماره ملی
                    </p>
                    <input [(ngModel)]="updatedUser.national_code" class="input-field">

                    <p>
                      :شماره همراه
                    </p>
                    <input [(ngModel)]="updatedUser.mobile_number" class="input-field">

                    <p>
                      :تاریخ تولد
                    </p>
                    <input type="date" [(ngModel)]="updatedUser.date_birth" class="input-field">

                  </div>
                </div>
              </div>

              <button class="edit-button" (click)="editButton()">
                ثبت
              </button>
            </div>
          </div>
          <div class="col-12 col-sm-12 col-md-1 col-xl-1">
          </div>
      </div>
    </div>
  </div>
</div>
</body>
